package com.bonus.material.ma.mapper;

import java.util.List;
import com.bonus.material.ma.domain.TypeNumHis;

/**
 * 机具类型历史库存Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface TypeNumHisMapper 
{
    /**
     * 查询机具类型历史库存
     * 
     * @param typeId 机具类型历史库存主键
     * @return 机具类型历史库存
     */
    public TypeNumHis selectTypeNumHisByTypeId(Long typeId);

    /**
     * 查询机具类型历史库存列表
     * 
     * @param typeNumHis 机具类型历史库存
     * @return 机具类型历史库存集合
     */
    public List<TypeNumHis> selectTypeNumHisList(TypeNumHis typeNumHis);

    /**
     * 新增机具类型历史库存
     * 
     * @param typeNumHis 机具类型历史库存
     * @return 结果
     */
    public int insertTypeNumHis(TypeNumHis typeNumHis);

    /**
     * 修改机具类型历史库存
     * 
     * @param typeNumHis 机具类型历史库存
     * @return 结果
     */
    public int updateTypeNumHis(TypeNumHis typeNumHis);

    /**
     * 删除机具类型历史库存
     * 
     * @param typeId 机具类型历史库存主键
     * @return 结果
     */
    public int deleteTypeNumHisByTypeId(Long typeId);

    /**
     * 批量删除机具类型历史库存
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTypeNumHisByTypeIds(Long[] typeIds);
}
